## ros-noetic-cob-hardware-emulation 0.8.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_hardware_emulation)

find_package(catkin REQUIRED COMPONENTS roscpp rosgraph_msgs)
find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
  CATKIN_DEPENDS roscpp rosgraph_msgs
  DEPENDS Boost
)

include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_executable(emulation_clock src/emulation_clock.cpp)
add_dependencies(emulation_clock ${catkin_EXPORTED_TARGETS})
target_link_libraries(emulation_clock ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS emulation_clock
 ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS
  scripts/emulation_base.py
  scripts/emulation_clock.py
  scripts/emulation_follow_joint_trajectory.py
  scripts/emulation_nav.py
  scripts/emulation_odom_laser.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-cob-hardware-emulation (0.8.21-1buster) buster; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.20-1buster) buster; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.19-1buster) buster; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.18-1buster) buster; urgency=high

  * Merge pull request #266 <https://github.com/ipa320/cob_control/issues/266> from HannesBachter/fix/emulation
    fix initialpose and add laser odom in emulation
  * fix some typos
  * add emulation_odom_laser to CMakeLists
  * generate odom laser from odom (not from twist)
  * publish odom->base in emulation_odom_laser
  * add emulation for laser odom
  * harmonize variables (add leading underscore)
  * fix initialpose handling in emulation
  * Contributors: Felix Messmer, HannesBachter

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.17-1buster) buster; urgency=high

  * Merge pull request #265 <https://github.com/ipa320/cob_control/issues/265> from fmessmer/fix/emulation_argparse
    fixup emulation argparse
  * fixup emulation argparse
  * Merge pull request #264 <https://github.com/ipa320/cob_control/issues/264> from HannesBachter/feature/laser_odometry
    [no odom] make odom frame configurable
  * make odom frame configurable
  * Merge pull request #263 <https://github.com/ipa320/cob_control/issues/263> from fmessmer/emulation_nav
    separate emulation_nav from emulation_base
  * separate emulation_nav from emulation_base
  * Contributors: Felix Messmer, HannesBachter, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.16-1buster) buster; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.15-1buster) buster; urgency=high

  * Merge pull request #257 <https://github.com/ipa320/cob_control/issues/257> from fmessmer/fix_emulated_fjt_melodic
    [melodic] fix emulated fjt
  * never skip last traj point
  * Contributors: Felix Messmer, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Sun, 16 May 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.14-1buster) buster; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.13-1buster) buster; urgency=high

  * Merge pull request #253 <https://github.com/ipa320/cob_control/issues/253> from floweisshardt/feature/emulator_move_base_melodic
    melodic/noetic: add optional move_base interface to base emulator
  * add optional move_base interface to base emulator
  * Merge pull request #249 <https://github.com/ipa320/cob_control/issues/249> from fmessmer/fix/fjt_emulation_melodic
    [melodic] fix fjt emulation
  * use timer for joint_states
  * skip trajectory points faster than sample_rate
  * introduce sample_rate_hz parameter
  * Merge pull request #247 <https://github.com/ipa320/cob_control/issues/247> from fmessmer/fix_catkin_lint_melodic
    [melodic] fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, Florian Weisshardt, floweisshardt, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.12-1buster) buster; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #244 <https://github.com/ipa320/cob_control/issues/244> from lindemeier/bugfix/length-bug
    [melodic] bugfix/length-bug
  * sets correct length and checks for length
  * Merge pull request #240 <https://github.com/ipa320/cob_control/issues/240> from benmaidel/feature/base_emu_reset_odom_melodic
    reset odometry service for base emulation
  * reset odometry service for base emulation
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer, tsl

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.11-1buster) buster; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Fri, 20 Mar 2020 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.10-1buster) buster; urgency=high

  * Merge pull request #236 <https://github.com/ipa320/cob_control/issues/236> from fmessmer/melodic/emulation_clock_cpp
    [melodic] add emulation_clock publisher - cpp variant
  * fix boost timer + use dt_ms
  * use boost timer
  * configurable emulation dt
  * add emulation_clock publisher - cpp variant
  * Merge pull request #234 <https://github.com/ipa320/cob_control/issues/234> from fmessmer/emulation_custom_clock_melodic
    [melodic] add emulation_clock publisher
  * implement emulation_clock with timer callback
  * add emulation_clock publisher
  * Merge pull request #228 <https://github.com/ipa320/cob_control/issues/228> from fmessmer/feature/python3_compatibility_melodic
    [ci_updates] pylint + Python3 compatibility - melodic
  * fix pylint errors
  * python3 compatibility via 2to3
  * Merge pull request #226 <https://github.com/ipa320/cob_control/issues/226> from fmessmer/ci_updates_melodic
    [travis] ci updates - melodic
  * catkin_lint fixes
  * remove outdated script
  * Contributors: Felix Messmer, Loy van Beek, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.1-1buster) buster; urgency=high



## ros-noetic-cob-hardware-emulation 0.8.22

=== debian/changelog ===
ros-noetic-cob-hardware-emulation (0.8.22-1focal) focal; urgency=high

  * Merge pull request #276 <https://github.com/ipa320/cob_control/issues/276> from fmessmer/fix/emulation_odom_laser
    publish odom_laser tf with current time
  * publish odom_laser tf with current time
  * Merge pull request #275 <https://github.com/ipa320/cob_control/issues/275> from FrederikPlahl/fix/odom_laser
    Fix emulation bug in transform odom -> base_footprint
  * remove obsolete import
  * Change frequency
  * Fix tf publishing bug
  * Merge pull request #274 <https://github.com/ipa320/cob_control/issues/274> from HannesBachter/fix/rename_scan_odom
    rename scan odom to /scan_odom_node/scan_odom/odometry
  * rename scan odom to /scan_odom_node/scan_odom/odometry
  * Contributors: Felix Messmer, FrederikPlahl, HannesBachter, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Fri, 28 Apr 2023 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.21-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.20-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.19-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.18-1focal) focal; urgency=high

  * Merge pull request #266 <https://github.com/ipa320/cob_control/issues/266> from HannesBachter/fix/emulation
    fix initialpose and add laser odom in emulation
  * fix some typos
  * add emulation_odom_laser to CMakeLists
  * generate odom laser from odom (not from twist)
  * publish odom->base in emulation_odom_laser
  * add emulation for laser odom
  * harmonize variables (add leading underscore)
  * fix initialpose handling in emulation
  * Contributors: Felix Messmer, HannesBachter

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.17-1focal) focal; urgency=high

  * Merge pull request #265 <https://github.com/ipa320/cob_control/issues/265> from fmessmer/fix/emulation_argparse
    fixup emulation argparse
  * fixup emulation argparse
  * Merge pull request #264 <https://github.com/ipa320/cob_control/issues/264> from HannesBachter/feature/laser_odometry
    [no odom] make odom frame configurable
  * make odom frame configurable
  * Merge pull request #263 <https://github.com/ipa320/cob_control/issues/263> from fmessmer/emulation_nav
    separate emulation_nav from emulation_base
  * separate emulation_nav from emulation_base
  * Contributors: Felix Messmer, HannesBachter, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.16-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.15-1focal) focal; urgency=high

  * Merge pull request #257 <https://github.com/ipa320/cob_control/issues/257> from fmessmer/fix_emulated_fjt_melodic
    [melodic] fix emulated fjt
  * never skip last traj point
  * Contributors: Felix Messmer, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Sun, 16 May 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.14-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.13-1focal) focal; urgency=high

  * Merge pull request #253 <https://github.com/ipa320/cob_control/issues/253> from floweisshardt/feature/emulator_move_base_melodic
    melodic/noetic: add optional move_base interface to base emulator
  * add optional move_base interface to base emulator
  * Merge pull request #249 <https://github.com/ipa320/cob_control/issues/249> from fmessmer/fix/fjt_emulation_melodic
    [melodic] fix fjt emulation
  * use timer for joint_states
  * skip trajectory points faster than sample_rate
  * introduce sample_rate_hz parameter
  * Merge pull request #247 <https://github.com/ipa320/cob_control/issues/247> from fmessmer/fix_catkin_lint_melodic
    [melodic] fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, Florian Weisshardt, floweisshardt, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.12-1focal) focal; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #244 <https://github.com/ipa320/cob_control/issues/244> from lindemeier/bugfix/length-bug
    [melodic] bugfix/length-bug
  * sets correct length and checks for length
  * Merge pull request #240 <https://github.com/ipa320/cob_control/issues/240> from benmaidel/feature/base_emu_reset_odom_melodic
    reset odometry service for base emulation
  * reset odometry service for base emulation
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer, tsl

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.11-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Fri, 20 Mar 2020 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.10-1focal) focal; urgency=high

  * Merge pull request #236 <https://github.com/ipa320/cob_control/issues/236> from fmessmer/melodic/emulation_clock_cpp
    [melodic] add emulation_clock publisher - cpp variant
  * fix boost timer + use dt_ms
  * use boost timer
  * configurable emulation dt
  * add emulation_clock publisher - cpp variant


=== debian/control ===
Source: ros-noetic-cob-hardware-emulation
Section: misc
Priority: optional
Maintainer: Florian Weisshardt <florian.weisshardt@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-rosgraph-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cob-hardware-emulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-control-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-rosgraph-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-srvs, ros-noetic-tf-conversions, ros-noetic-tf2-ros
Description: The cob_hardware_emulation package provides idealized nodes emulating real robot hardware and/or physics simulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-hardware-emulation//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
